=== debian/changelog ===
libnb-platform18-java (7.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on libjna-platform-java (Closes: #768622)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 08 Nov 2014 21:41:15 +0100

libnb-platform18-java (7.4+dfsg1-1) unstable; urgency=low

  * Team upload.

  [ Andrew Ross ]
  * New upstream release of Netbeans.
  * Switch to mingw-w64 (Closes: #680468)
  * Separate Netbeans Platform back into its own package.
  * Include cluster release number in source package name to allow
    multiple Netbeans platforms to be installed at once.
  * Build .nbm modules and install into their own package.
  * Upstream removed bashism from o.n.bootstrap/launcher/unix/nbexec
    (Closes: #690633)
  * Updated debian/patches.

  [ tony mancill ]
  * Bump standards version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Wed, 25 Dec 2013 10:42:18 -0800

libnb-platform-java (6.9-1) unstable; urgency=low

  [ Andres Mejia ]
  * Upload to Debian. (Closes: #610927)
  * Add Debian Java team as Maintainer, Yulia and myself as Uploaders.
  * Define a function for creation of symlinks.
  * Add symlinks for xhtml entries found only in /usr/share/xml/entities/xhtml
    for Debian.
  * Update packaging to use source format 3.0 (quilt) and dh with javahelper.
  * Refreshed patches.
  * Bumped to Standards-Version 3.9.1.

  [ Damien Raude-Morvan ]
  * d/copyright: Small fix for missing copyright assignment,
    Update to DEP-5 r166 format.
  * d/watch: Prepare for next upstream release.
  * d/control: Drop Depends: default-jre | java2-runtime as a Java
    library don't need to depends on runtime (Java Policy).

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 22 Jan 2011 16:01:28 -0500

libnb-platform-java (6.9-0ubuntu2) maverick; urgency=low

  * Bug fix upload:
    - Patch netbeans-platform-6.9~suite-xml.patch is added
      (fix for http://netbeans.org/bugzilla/show_bug.cgi?id=189196)

 -- Yulia Novozhilova <Yulia.novozhilova@sun.com>  Fri, 20 Aug 2010 16:44:33 +0400

libnb-platform-java (6.9-0ubuntu1) maverick; urgency=low

  * New upstream release
    - License corrected
    - control/Standards-Version is changed to 3.9.0
    - debian/copyright file is updated
    - debian/patches are updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 02 Aug 2010 16:41:12 +0400

libnb-platform-java (6.8-0ubuntu2) lucid; urgency=low

  * debian/patches/l10n.patch added (LP: #527547)
  * debian/rules is updated to build l10n
  * control/Standards-Version is changed to 3.8.4

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Mar 2010 16:20:17 +0300

libnb-platform-java (6.8-0ubuntu1) lucid; urgency=low

  * new upstream release (LP: 517083)
    - debian/copyright and watch files are updated 
      to point to the correct download location

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 11 Dec 2009 13:44:12 +0300

libnb-platform-java (6.7.1-0ubuntu1) karmic; urgency=low

  * new upstream release (LP: #418875)
   - control/Standards-Version is chaged to 3.8.3
   - copyright file updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 16 Jun 2009 16:18:50 +0400

libnb-platform-java (6.5-0ubuntu2) jaunty; urgency=low

  * Added debian/patches/60-6.5.1-patches.patch with bug fixes from
    NetBeans 6.5.1 (LP: #345562)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 31 Mar 2009 18:48:21 +0400

libnb-platform-java (6.5-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #316793)
  * added dependency of libnb-platform-devel-java 
              on libnb-platform9-java (LP: #276731)
  * removed version number from binary package:
           libnb-platform8-devel-java -> libnb-platform-devel-java          
  * watch file and get-orig-source target are added   

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Thu, 25 Sep 2008 22:27:16 +0400

libnb-platform-java (6.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #252658)
  
 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 21 May 2008 15:52:03 +0400
