=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), javahelper, ant (>= 1.7.0),
 ant-optional (>= 1.7.0), default-jdk, java7-jdk,
 g++-mingw-w64-i686, g++-mingw-w64-x86-64,
 maven-repo-helper, w3c-dtd-xhtml, javacc,
 libjemmy2-java, javahelp2, libbindex-java,
 libswing-layout-java (>= 1.0.3), libjna-platform-java,
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, antlr3 (>= 3.2), libstringtemplate-java,
 junit4 (>= 4.6), libhamcrest-java, junit, libequinox-osgi-java,
 testng (>=6.8), libjnlp-servlet-java
Standards-Version: 3.9.5
Homepage: http://netbeans.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libnb-platform-java.git
Vcs-Git: git://anonscm.debian.org/pkg-java/libnb-platform-java.git

Package: libnb-platform18-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, javahelp2, 
 libswing-layout-java (>= 1.0.3), libjna-platform-java, junit4 (>= 4.6),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, libnb-org-openide-util-java (>= ${source:Version}),
 antlr3 (>= 3.2), libequinox-osgi-java, testng,
 libnb-org-openide-util-lookup-java (>= ${source:Version}), 
 libnb-org-openide-modules-java (>= ${source:Version})
Suggests: libnb-platform16-java-doc
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-platform18-java,
 ant, libjemmy2-java, javahelp2, libbindex-java, libjnlp-servlet-java,
Replaces: libnb-platform8-devel-java, libnb-platform7-devel-java
Conflicts: libnb-platform8-devel-java, libnb-platform7-devel-java
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build 
 scripts and ant tasks required to build an application on top of NetBeans 
 Platform.

Package: libnb-platform18-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libnb-platform18-java
Enhances: libnb-platform18-java
Description: NetBeans Platform javadoc 
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, 
 libnb-org-openide-util-lookup-java (>= ${source:Version})
Provides: libopenide-util-java
Replaces: libopenide-util-java
Conflicts: libopenide-util-java
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make 
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends},
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version})
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.
