## libnb-platform18-java 8.0.2+dfsg1

=== debian/changelog ===
libnb-platform18-java (8.0.2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 8.0.2+dfsg1.
    - Fix FTBFS in sid by updating the package to the latest upstream release.
      (Closes: #784442)
  * Replace b-d w3c-dtd-xhtml with w3c-sgml-lib because the former will be
    removed from Debian. (Closes: #787177)
  * debian/control:
    - Tighten build-dependency on felix-framework.
    - Declare compliance with Debian Policy 3.9.6.
    - Remove virtual java7-jdk build-dependency. (Closes: #754602)
    - Switch Vcs-Browser field to cgit.
    - Run wrap-and-sort -sa.
    - Add myself to Uploaders.
    - Remove obsolete Breaks, Replaces, Conflicts and Provides fields.
  * Use compat level 9 and require debhelper >= 9.
  * Remove duplicate files in doc package. Add rdfind and symlinks to
    Build-Depends-Indep.
  * Update linked-jars for new release.
  * Change version in pom files to 8.0.2.
  * Rebase all patches for new release.
  * Drop netbeans-platform~classfile-version.patch. Use upstream values.
  * Drop netbeans-platform~include-extras.patch and use only included modules.
  * Drop netbeans-platform~suitebuild.patch because the build does not fail and
    we don't build for older netbeans platforms either.
  * Add osgi-update.patch for incorporating the changes of the OSGi framework
    specification.
  * Add netbeans-platform-junit4.patch and bundle Junit4, so that nobody has to
    download Junit4 from the Internet.
  * Fix privacy breach logo lintian error and privacy breach lintian warning by
    removing the links to external image sources in javadoc files in
    debian/rules.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Sat, 20 Jun 2015 00:50:19 +0200
