=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 ant (>= 1.7.0),
 ant-optional (>= 1.7.0),
 antlr3 (>= 3.2),
 debhelper (>= 9),
 default-jdk,
 g++-mingw-w64-i686,
 g++-mingw-w64-x86-64,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4 (>= 4.6),
 libbindex-java,
 libequinox-osgi-java,
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libjemmy2-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libosgi-compendium-java,
 libosgi-core-java,
 libstringtemplate-java,
 libswing-layout-java (>= 1.0.3),
 maven-repo-helper,
 rdfind,
 symlinks,
 testng (>=6.8),
 w3c-sgml-lib
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/libnb-platform-java.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/libnb-platform-java.git
Homepage: http://netbeans.org/

Package: libnb-platform18-java
Architecture: all
Depends:
 antlr3 (>= 3.2),
 javahelp2,
 junit4 (>= 4.6),
 libequinox-osgi-java,
 libfelix-framework-java,
 libfelix-main-java,
 libjna-platform-java,
 libnb-org-openide-modules-java (>= ${source:Version}),
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 libosgi-compendium-java,
 libosgi-core-java,
 libswing-layout-java (>= 1.0.3),
 testng,
 ${java:Depends},
 ${misc:Depends}
Suggests:
 libnb-platform18-java-doc
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends:
 ant,
 javahelp2,
 libbindex-java,
 libjemmy2-java,
 libjnlp-servlet-java,
 libnb-platform18-java,
 ${java:Depends},
 ${misc:Depends}
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build
 scripts and ant tasks required to build an application on top of NetBeans
 Platform.

Package: libnb-platform18-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Suggests:
 libnb-platform18-java
Description: NetBeans Platform javadoc
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends:
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends:
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.
