=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,16 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME=/usr/lib/jvm/default-java
-# export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64
 
 #package names
-pkg-platform			:= platform18
-pkg-lib-platform		:= libnb-$(pkg-platform)
-libnb-platform-java		:= $(pkg-lib-platform)-java
-libnb-platform-java-doc 	:= $(pkg-lib-platform)-java-doc
-libnb-platform-devel-java	:= libnb-platform-devel-java
-#libnb-platform-nbms-java	:= $(pkg-lib-platform)-nbms-java
+pkg-platform                := platform18
+pkg-lib-platform            := libnb-$(pkg-platform)
+libnb-platform-java         := $(pkg-lib-platform)-java
+libnb-platform-java-doc     := $(pkg-lib-platform)-java-doc
+libnb-platform-devel-java   := libnb-platform-devel-java
 
 # Included clusters
-base-platform                  := $(pkg-platform)
+base-platform := $(pkg-platform)
 
 NBDIR          := /usr/share/netbeans
 export JAVADIR := /usr/share/java
@@ -22,21 +20,22 @@
 NB_JH_JAR       := jhall-2.0_05.jar
 NB_JSEARCH_JAR  := jsearch-2.0_05.jar
 
-JAVADOC_WEBSITE		:= http://bits.netbeans.org/7.4/javadoc
+JAVADOC_WEBSITE := http://bits.netbeans.org/8.0.1/javadoc
 
 NB_INSTALL_DIR := usr/share/netbeans
 
-EXT_JAR_LINK_DIR	:= $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
-LIB_DIR			:= $(NB_INSTALL_DIR)/$(pkg-platform)/lib/
+EXT_JAR_LINK_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
+LIB_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/lib/
 
 INSTALL        := dh_install -p
 LINK           := dh_link -p
 
 NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform
 
-DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
-			       grep -e '^Version' | \
+DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep -e '^Version' | \
                                perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')
+
+BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")
 
 # Defined function to be used to create symlinks
 define symlink
@@ -50,10 +49,11 @@
 override_dh_auto_build:
 	if [ -e javahelp/external/binaries-list ]; then \
 	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
+	# w3c-sgml-lib: needed for xml validation, otherwise FTBFS
 	mkdir -p nbbuild/external/xhtml1-dtds
-	ln -sf /usr/share/xml/xhtml/schema/dtd/1.0/xhtml* nbbuild/external/xhtml1-dtds
-	ln -sf /usr/share/xml/entities/xhtml/xhtml* nbbuild/external/xhtml1-dtds
-	# link the required jars
+	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml1-20020801/xhtml* nbbuild/external/xhtml1-dtds
+	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml-modularization-20100729/xhtml* nbbuild/external/xhtml1-dtds
+	# link Debian's system jars
 	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
 	################################################################
 	# Build the Windows launcher
@@ -65,7 +65,8 @@
 	################################################################
 	# Build the platform. DISPLAY must be unset to avoid build failures.
 	unset DISPLAY; ant \
-	-Dhg.id=debian-$(DEB_FULL_VERSION) \
+	-Dbuildstamp=$(BUILDSTAMP) \
+	-Dhg.id=debian-$(DEB_UPSTREAM_VERSION) \
 	-Dpermit.jdk7.builds=true \
 	-Dbuild.compiler.deprecation=false \
 	-Dbuild.compiler.debug=false \
@@ -74,6 +75,11 @@
 	-f nbbuild/build.xml build-platform
 	################################################################
 	# Build javadoc package
+	# Fix privacy breach logo and generic first
+	grep -rl "netbeans.org/favicon.ico" nbbuild/javadoctools/ | xargs sed -i \
+		's|href="http://www.netbeans.org/favicon.ico"||g'
+	grep -rl "NetBeansPlatformForBeginners.jpg" openide*/ | xargs sed -i \
+		's|http://wiki.apidesign.org/images/0/03/NetBeansPlatformForBeginners.jpg||g'
 	ant \
 	-Dpermit.jdk7.builds=true \
 	-Dbuild.compiler.deprecation=false \
@@ -86,7 +92,9 @@
 	-Djavadoc.docs.org-netbeans-modules-projectapi=$(JAVADOC_WEBSITE)/org-netbeans-modules-projectapi/ \
 	-f nbbuild/build.xml build-javadoc
 	# remove the zip files - we only want the extracted files
-	rm -f nbbuild/build/javadoc/*.zip
+	$(RM) nbbuild/build/javadoc/*.zip
+	rdfind -outputname /dev/null -makesymlinks true nbbuild/build/javadoc
+	symlinks -rsc nbbuild/build/javadoc
 
 
 override_dh_auto_install:
@@ -123,17 +131,14 @@
 	#
 	#Fixing permissions
 	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh
-	#
-	# Install nbms package
-	#$(INSTALL)$(libnb-platform-nbms-java)   nbbuild/nbms/* $(NB_INSTALL_DIR)/$(pkg-platform)-nbms
 
 override_dh_auto_clean:
 	if [ -e javahelp/external/binaries-list ]; then \
 	echo "ERROR: Make sure patches are applied before clean/build" && false;  fi
-	-rm -f *.cdbs-config_list
-	-rm -f stamp-build-$(libnb-platform-java)
-	-rm -f stamp-build-$(libnb-platform-devel-java)
-	-rm -f stamp-build-$(libnb-platform-java-doc)
+	$(RM) *.cdbs-config_list
+	$(RM) stamp-build-$(libnb-platform-java)
+	$(RM) stamp-build-$(libnb-platform-devel-java)
+	$(RM) stamp-build-$(libnb-platform-java-doc)
 	$(call symlink, $(JAVADIR)/$(JH_JAR), javahelp/external/$(NB_JH_JAR))
 	$(call symlink, $(JAVADIR)/$(JSEARCH_JAR), apisupport.harness/external/$(NB_JSEARCH_JAR))
 	ant -Dpermit.jdk7.builds=true -f nbbuild/build.xml clean
@@ -142,14 +147,15 @@
 	cd apisupport.harness/windows-launcher-src && CONF="app.exe" make -e clean
 	cd apisupport.harness/windows-launcher-src && CONF="app64.exe" make -e clean
 	mh_clean
-# remove all the symlinks to jar files we created
-	find . -name "*.jar" -type l -execdir rm -f \{\} \;
-	-rm -rf nbbuild/external/xhtml1-dtds
-	-rm -f  nbbuild/nbproject/private/scan-cache-standard.ser
+	# remove all the symlinks to jar files we created
+	find . -name "*.jar" -type l -delete
+	$(RM) -r nbbuild/external/xhtml1-dtds
+	$(RM) nbbuild/nbproject/private/scan-cache-standard.ser
+	$(RM) o.n.bootstrap/launcher/windows/nbexec_exe.res
 
 override_jh_depends:
-	# Skipping jh_depends run - since we use symlinks to /usr/share/java then 
+	# Skipping jh_depends run - since we use symlinks to /usr/share/java then
 	# jh_depends gets it wrong.
 
 get-orig-source:
-	uscan --download-version $(subst +dfsg\d*,,$(DEB_UPSTREAM_VERSION)) --force-download
+	uscan --download-current-version --force-download --no-symlink
